Modify

Opened 5 years ago

Last modified 5 years ago

#5793 new defect

flashgantt plugin not loading

Reported by: anonymous Owned by: murph
Priority: normal Component: FlashGanttPlugin
Severity: normal Keywords:
Cc: Trac Release: 0.11

Description

Hello!

I have the problem that the flashgantt plugin not loading

I installed the plugin with

easy_install http://trac-hacks.org/svn/flashganttplugin/0.11/

Why does the flashgantt plugin not loaded?

Attachments (0)

Change History (1)

comment:1 Changed 5 years ago by anonymous

I have the same problem with python setup.py build|install

XXX:/tmp/silvercity/silvercity # cd /tmp
XXX:/tmp # svn co http://trac-hacks.org/svn/flashganttplugin/0.11/ flashganttplugin
A    flashganttplugin/AUTHORS
A    flashganttplugin/setup.py
A    flashganttplugin/COPYING
A    flashganttplugin/flashgantt
A    flashganttplugin/flashgantt/flashgantt.py
A    flashganttplugin/flashgantt/htdocs
A    flashganttplugin/flashgantt/htdocs/images
A    flashganttplugin/flashgantt/htdocs/css
A    flashganttplugin/flashgantt/htdocs/css/flashgantt.css
A    flashganttplugin/flashgantt/htdocs/data
A    flashganttplugin/flashgantt/htdocs/data/Gantt.xml
A    flashganttplugin/flashgantt/htdocs/js
A    flashganttplugin/flashgantt/htdocs/js/FusionCharts.js
A    flashganttplugin/flashgantt/htdocs/flash
A    flashganttplugin/flashgantt/htdocs/flash/FCF_Gantt.swf
A    flashganttplugin/flashgantt/__init__.py
A    flashganttplugin/flashgantt/templates
A    flashganttplugin/flashgantt/templates/chart.xml
A    flashganttplugin/flashgantt/templates/flashgantt.html
A    flashganttplugin/README
Ausgecheckt, Revision 6511.
XXX:/tmp # cd flashganttplugin/
XXX:/tmp/flashganttplugin # python setup.py build
running build
running build_py
creating build
creating build/lib
creating build/lib/flashgantt
copying flashgantt/flashgantt.py -> build/lib/flashgantt
copying flashgantt/__init__.py -> build/lib/flashgantt
creating build/lib/flashgantt/templates
copying flashgantt/templates/flashgantt.html -> build/lib/flashgantt/templates
copying flashgantt/templates/chart.xml -> build/lib/flashgantt/templates
creating build/lib/flashgantt/htdocs
creating build/lib/flashgantt/htdocs/css
copying flashgantt/htdocs/css/flashgantt.css -> build/lib/flashgantt/htdocs/css
creating build/lib/flashgantt/htdocs/flash
copying flashgantt/htdocs/flash/FCF_Gantt.swf -> build/lib/flashgantt/htdocs/flash
creating build/lib/flashgantt/htdocs/js
copying flashgantt/htdocs/js/FusionCharts.js -> build/lib/flashgantt/htdocs/js
creating build/lib/flashgantt/htdocs/data
copying flashgantt/htdocs/data/Gantt.xml -> build/lib/flashgantt/htdocs/data
XXX:/tmp/flashganttplugin # python setup.py install
running install
Checking .pth file support in /usr/local/lib/python2.6/site-packages/
/usr/bin/python -E -c pass
TEST PASSED: /usr/local/lib/python2.6/site-packages/ appears to support .pth files
running bdist_egg
running egg_info
creating TracFlashGantt.egg-info
writing TracFlashGantt.egg-info/PKG-INFO
writing top-level names to TracFlashGantt.egg-info/top_level.txt
writing dependency_links to TracFlashGantt.egg-info/dependency_links.txt
writing entry points to TracFlashGantt.egg-info/entry_points.txt
writing manifest file 'TracFlashGantt.egg-info/SOURCES.txt'
unrecognized .svn/entries format in
reading manifest file 'TracFlashGantt.egg-info/SOURCES.txt'
writing manifest file 'TracFlashGantt.egg-info/SOURCES.txt'
installing library code to build/bdist.linux-i686/egg
running install_lib
running build_py
creating build/bdist.linux-i686
creating build/bdist.linux-i686/egg
creating build/bdist.linux-i686/egg/flashgantt
creating build/bdist.linux-i686/egg/flashgantt/htdocs
creating build/bdist.linux-i686/egg/flashgantt/htdocs/js
copying build/lib/flashgantt/htdocs/js/FusionCharts.js -> build/bdist.linux-i686/egg/flashgantt/htdocs/js
creating build/bdist.linux-i686/egg/flashgantt/htdocs/data
copying build/lib/flashgantt/htdocs/data/Gantt.xml -> build/bdist.linux-i686/egg/flashgantt/htdocs/data
creating build/bdist.linux-i686/egg/flashgantt/htdocs/flash
copying build/lib/flashgantt/htdocs/flash/FCF_Gantt.swf -> build/bdist.linux-i686/egg/flashgantt/htdocs/flash
creating build/bdist.linux-i686/egg/flashgantt/htdocs/css
copying build/lib/flashgantt/htdocs/css/flashgantt.css -> build/bdist.linux-i686/egg/flashgantt/htdocs/css
creating build/bdist.linux-i686/egg/flashgantt/templates
copying build/lib/flashgantt/templates/flashgantt.html -> build/bdist.linux-i686/egg/flashgantt/templates
copying build/lib/flashgantt/templates/chart.xml -> build/bdist.linux-i686/egg/flashgantt/templates
copying build/lib/flashgantt/flashgantt.py -> build/bdist.linux-i686/egg/flashgantt
copying build/lib/flashgantt/__init__.py -> build/bdist.linux-i686/egg/flashgantt
byte-compiling build/bdist.linux-i686/egg/flashgantt/flashgantt.py to flashgantt.pyc
byte-compiling build/bdist.linux-i686/egg/flashgantt/__init__.py to __init__.pyc
creating build/bdist.linux-i686/egg/EGG-INFO
copying TracFlashGantt.egg-info/PKG-INFO -> build/bdist.linux-i686/egg/EGG-INFO
copying TracFlashGantt.egg-info/SOURCES.txt -> build/bdist.linux-i686/egg/EGG-INFO
copying TracFlashGantt.egg-info/dependency_links.txt -> build/bdist.linux-i686/egg/EGG-INFO
copying TracFlashGantt.egg-info/entry_points.txt -> build/bdist.linux-i686/egg/EGG-INFO
copying TracFlashGantt.egg-info/top_level.txt -> build/bdist.linux-i686/egg/EGG-INFO
zip_safe flag not set; analyzing archive contents...
creating dist
creating 'dist/TracFlashGantt-1.0-py2.6.egg' and adding 'build/bdist.linux-i686/egg' to it
removing 'build/bdist.linux-i686/egg' (and everything under it)
Processing TracFlashGantt-1.0-py2.6.egg
Copying TracFlashGantt-1.0-py2.6.egg to /usr/local/lib/python2.6/site-packages
Adding TracFlashGantt 1.0 to easy-install.pth file

Installed /usr/local/lib/python2.6/site-packages/TracFlashGantt-1.0-py2.6.egg
Processing dependencies for TracFlashGantt==1.0
Finished processing dependencies for TracFlashGantt==1.0
XXX:/tmp/flashganttplugin # ls -l /usr/local/lib/python2.6/site-packages/
total 140
-rw-r--r-- 1 root root   312 2009-09-07 17:38 easy-install.pth
-rw-r--r-- 1 root root 11003 2009-09-02 15:22 HudsonTrac-0.2-py2.6.egg
-rw-r--r-- 1 root root  6431 2009-09-03 14:11 IniAdmin-0.2-py2.6.egg
drwxr-xr-x 2 root root  4096 2009-09-07 17:30 SilverCity
-rw-r--r-- 1 root root   480 2009-09-07 17:30 SilverCity-0.9.7-py2.6.egg-info
-rw-r--r-- 1 root root 58143 2009-09-04 11:44 timingandestimationplugin-0.8.0-py2.6.egg
-rw-r--r-- 1 root root 42682 2009-09-07 17:38 TracFlashGantt-1.0-py2.6.egg

trac.log

2009-09-07 17:47:25,811 Trac[loader] DEBUG: Loading HudsonTrac from /usr/local/lib/python2.6/site-packages/HudsonTrac-0.2-py2.6.egg
2009-09-07 17:47:25,811 Trac[loader] DEBUG: Loading iniadmin from /usr/local/lib/python2.6/site-packages/IniAdmin-0.2-py2.6.egg
2009-09-07 17:47:25,812 Trac[loader] DEBUG: Loading timingandestimationplugin from /usr/local/lib/python2.6/site-packages/timingandestimationplugin-0.8.0-py2.6.egg
2009-09-07 17:47:25,812 Trac[loader] DEBUG: Loading trac.ticket.web_ui from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,812 Trac[loader] DEBUG: Loading trac.mimeview.php from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,812 Trac[loader] DEBUG: Loading trac.ticket.query from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,812 Trac[loader] DEBUG: Loading trac.attachment from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,813 Trac[loader] DEBUG: Loading trac.versioncontrol.svn_fs from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,813 Trac[loader] DEBUG: Loading trac.mimeview.patch from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,813 Trac[loader] DEBUG: Loading trac.mimeview.txtl from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,814 Trac[loader] DEBUG: Loading trac.admin.web_ui from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,814 Trac[loader] DEBUG: Loading trac.ticket.admin from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,814 Trac[loader] DEBUG: Loading trac.mimeview.rst from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,814 Trac[loader] DEBUG: Loading trac.db.postgres from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,815 Trac[loader] DEBUG: Loading trac.versioncontrol.web_ui from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,815 Trac[loader] DEBUG: Loading trac.timeline from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,815 Trac[loader] DEBUG: Loading trac.mimeview.pygments from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,815 Trac[loader] DEBUG: Loading trac.about from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,816 Trac[loader] DEBUG: Loading trac.wiki.interwiki from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,816 Trac[loader] DEBUG: Loading trac.ticket.roadmap from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,816 Trac[loader] DEBUG: Loading trac.versioncontrol.svn_prop from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,816 Trac[loader] DEBUG: Loading trac.mimeview.silvercity from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,817 Trac[loader] DEBUG: Loading trac.wiki.macros from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,817 Trac[loader] DEBUG: Loading trac.db.sqlite from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,817 Trac[loader] DEBUG: Loading trac.wiki.web_ui from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,817 Trac[loader] DEBUG: Loading trac.mimeview.enscript from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,818 Trac[loader] DEBUG: Loading trac.web.auth from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,818 Trac[loader] DEBUG: Loading trac.admin.console from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,818 Trac[loader] DEBUG: Loading trac.db.mysql from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,818 Trac[loader] DEBUG: Loading trac.search from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,819 Trac[loader] DEBUG: Loading trac.prefs from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,819 Trac[loader] DEBUG: Loading trac.ticket.report from /usr/lib/python2.6/site-packages
2009-09-07 17:47:25,831 Trac[default_workflow] DEBUG: Workflow actions at initialization: {'resolve': {'operations': [u'set_resolution'], 'name': 'resolve', 'default': 0, 'newstate': u'closed', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], 'permissions':$

2009-09-07 17:47:25,842 Trac[api] DEBUG: NEEDS UP?: sys:False, rep:False, stats:False, fields:False, man:False
2009-09-07 17:47:25,847 Trac[env] WARNING: base_url option not set in configuration, generated links may be incorrect
2009-09-07 17:47:25,847 Trac[main] DEBUG: Dispatching <Request "GET u'/chrome/common/topbar_gradient2.png'">
2009-09-07 17:47:25,856 Trac[HudsonTracPlugin] DEBUG: registered auth-handler for 'http://localhost:8080/', username=''

OS: openSUSE 11.1 i386

Add Comment

Modify Ticket

Action
as new .
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.